# waternsw-grabber #

**waternsw_grabber** downloads bore records from the WaterNSW data portal.  
https://realtimedata.waternsw.com.au

## Installation ##

1. Install `waternsw-grabber`

```
pip install git+http://git.wrl.unsw.edu.au:3000/danh/waternsw-grabber.git
```

2. Install `Firefox`  
https://www.mozilla.org/en-GB/firefox/

3. Download the Mozilla `geckodriver`  
https://github.com/mozilla/geckodriver/releases

4. Ensure `geckodriver` is in your system search path  
(the easiest way is to keep the executable in your working directory)

## Usage ##

```python
from waternsw_grabber import telemetered_bore_downloader, extract_records

basin_name = 'Bega River Basin'
download_dir = 'downloads'

# Download bore records
telemetered_bore_downloader(basin_name)

# Extract zip archives
extract_records(basin_name)
```
